Monday, June 16, 2014

You need to install the latest Silverlight Developer runtime before creating a Silverlight project

After a long gap, I installed Silverlight in my development machine to look into a performance issue in an internal company tool. As per the policy the "internal projects don't have the luxury of testers" so the actual testing happens on production hence so many issues especially performance. Its a Silverlight 5 project and I installed the Silverlight 5 tools from the Microsoft site. When I tried to open the solution the first error I got was given below.

You need to install the latest Silverlight Developer run-time before creating a Silverlight project
Download runtime at <url>

I thought, the Silverlight tools version I installed may be 32 bit version where its expecting 64 bit version. So downloaded the version which is mentioned in the error dialog. But when I tried to install it, the next message came.

Newer version of Silverlight is already installed

Interesting. Now no other way remove all the items from control panel by searching the word Silverlight and install only Silverlight 5. This I had did so many times when in active development of Silverlight applications. But this time that too didn't help. So decided to google.

The solutions people provided in internet are different. Some says we need to follow the link provided in the visual studio error message some posted a link from where we should download the run time, another one suggest to install Visual Studio 2010 Service Pack 1 to get Silverlight 5 working.

Installing VS 2010 SP1 takes more time, that is one of the reason why I didn't install it. As there are no other option I had to install VS 2010 SP1 and it started working!!!

These are the occasions, we think about the error messages we coded which is absolutely useless for the users. Thanks Microsoft...

1 comment:

Blogger said...

Get all your favorite alcoholic drinks at Duty Free Depot!

All the popular brand name drinks for unbelievable discounted price tags.